Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoVRMLScalarInterpolator Class Reference
[VRML97 classes]

The SoVRMLScalarInterpolator class is used to interpolate scalar values. More...

`#include <Inventor/VRMLnodes/SoVRMLScalarInterpolator.h>`

List of all members.

## Public Methods
| SoVRMLScalarInterpolator (void)
## Public Attributes
SoMFFloat | keyValue
SoEngineOutput | value_changed
## Protected Methods
virtual | ~SoVRMLScalarInterpolator ()

## Detailed Description

The SoVRMLScalarInterpolator class is used to interpolate scalar values.

      ScalarInterpolator {
        eventIn      SFFloat set_fraction         # (-inf, inf)
        exposedField MFFloat key           []     # (-inf, inf)
        exposedField MFFloat keyValue      []     # (-inf, inf)
        eventOut     SFFloat value_changed
      }

This node linearly interpolates among a list of SFFloat values. This interpolator is appropriate for any parameter defined using a single floating point value. Examples include width, radius, and intensity fields. The keyValue field shall contain exactly as many numbers as there are keyframes in the key field. A more detailed discussion of interpolators is available in 4.6.8, Interpolator nodes (<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.8>).

## Constructor & Destructor Documentation

SoVRMLScalarInterpolator::SoVRMLScalarInterpolator | ( | void |  | ) |

| Constructor.

SoVRMLScalarInterpolator::~SoVRMLScalarInterpolator | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Data Documentation

SoMFFloat SoVRMLScalarInterpolator::keyValue

| The keyValue vector.

SoEngineOutput SoVRMLScalarInterpolator::value_changed

| The eventOut which is sent every time the interpolator has calculated a new value.

The documentation for this class was generated from the following files:

- SoVRMLScalarInterpolator.h
- ScalarInterpolator.cpp